Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.style.props
Class OdfStyleProperty

    java.lang.Object
      org.odftoolkit.odfdom.dom.style.props.OdfStyleProperty

All Implemented Interfaces:
  Comparable<OdfStyleProperty>

    public class OdfStyleProperty

extends Object
implements Comparable<OdfStyleProperty>

Class to represent a odf style attribut. Each instance has a name and belongs to an ODF style-properties element.

Method Summary
`int` | `compareTo(OdfStyleProperty o)`
`OdfStyleProperty` | `copy()`
`boolean` | `equals(Object o)`
`static OdfStyleProperty` | `get(OdfStylePropertiesSet propSet, OdfName name)` Looks if an OdfStyleProperty is already listed in the static sytleProperties set, otherwise creates a new one.
`OdfName` | `getName()`
`OdfStylePropertiesSet` | `getPropertySet()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### get

    public static OdfStyleProperty get(OdfStylePropertiesSet propSet,
                                       OdfName name)

  Looks if an OdfStyleProperty is already listed in the static sytleProperties set, otherwise creates a new one.

  Parameters:
    `propSet` - an OdfStylePropertiesSet member
    `name` -
  Returns:
    new created or existing OdfStylePorperty

### getPropertySet

    public OdfStylePropertiesSet getPropertySet()

  Returns:
    an OdfStylePropertiesSet member

### getName

    public OdfName getName()

  Returns:
    name of OdfStyleProperty instance

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### copy

    public OdfStyleProperty copy()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(OdfStyleProperty o)

  Specified by:
    `compareTo` in interface `Comparable<OdfStyleProperty>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.